<template>
    <div class="content__leftAnalitika">
        <div class="referral">
            <div class="box__referral--top">
                <div class="left-icon">
                    <svg>
                        <use xlink:href="/img/sprite.svg#volume-bars"/>
                    </svg>
                    <p class="text-icon">{{ $t('referrals.settings.title') }}</p>
                </div>
                <div class="right-levels">
                    <p class="text-levels">{{ $t('referrals.settings.total_levels') }}  <span>{{ levels_count }}</span></p>
                </div>
            </div>
            <div class="title-flex">
                <p class="text-e">{{ $t('referrals.settings.level') }}</p>
                <p class="text-e">{{ $t('referrals.settings.percent') }}</p>
            </div>
            <div class="animated fadeInUp box-levels__element" v-for="(percent, key) in levels">
                <div class="box__levels--levels">
                    <div class="box-inputOne">
                        <input type="text" placeholder="1" readonly :value="key + 1">
                    </div>
                    <div class="box-inputOne">
                        <input type="text" placeholder="% 5.00" v-model.number="levels[key]">
                    </div>
                </div>
                <div class="box-svg">
                    <div class="box-radius" @click="save">
                        <svg class="oneSave">
                            <use xlink:href="/img/sprite.svg#save"/>
                        </svg>
                    </div>
                    <svg class="oneDelete" @click="deleteLevel(key)">
                        <use xlink:href="/img/sprite.svg#cancel-button"/>
                    </svg>
                </div>

            </div>
            <p class="text-add-levels" @click="addLevel">
                <svg>
                    <use xlink:href="/img/sprite.svg#plus"/>
                </svg>
                {{ $t('referrals.settings.add') }}
            </p>
            <span class="hint">{{ $t('referrals.settings.hint') }}</span>
            <button class="save" type="submit" @click.prevent="save">{{ $t('referrals.settings.submit') }}</button>
        </div>
    </div>
</template>

<script>
	import {mapGetters} from "vuex";

    export default {
		name: "ReferralsSettings",
        data(){
		    return {
		        levels: []
            }
        },
        computed: {
            ...mapGetters([
                'axios'
            ]),
            levels_count(){
                return Array.isArray(this.levels) ? this.levels.length : 0;
            }
        },
        methods: {
            deleteLevel(key){
                this.levels.splice(key, 1);
            },
            addLevel(){
                this.levels.push(0);
            },
		    load(){
                this.axios.get(`referrals/settings`)
                    .then(resp => resp.data)
                    .then(settings => {
                        console.log(settings);
                        this.levels = settings.levels;
                    });
            },
            save(){
                this.axios.post(`referrals/settings`, {
                    levels: this.levels
                })
                    .then(resp => resp.data)
                    .then(settings => {
                        console.log(settings);
                        this.levels = settings.levels;
                        if('success' === settings.status){
                            this.$swal('Настройки обновлены');
                        }else{
                            this.$swal(this.$t('ui.error'), '', 'error')
                        }
                    });
            }
        },
        mounted() {
		    this.load();
        }
    }
</script>

<style scoped>

</style>
